/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", draw, false); // appel au chargement de la page
 

/**
 * Dessine avec l'API canvas
 * @return {[type]} [description]
 */
function draw()
{

	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  
	
	// création d'un dégradé
	var gradientRadial = oContexte.createRadialGradient(200, 70, 5, 60, 50, 250); 
	gradientRadial.addColorStop(0.28, "#FA58F4"); // ajout des couleurs pour créer le dégradé
	gradientRadial.addColorStop(0.69, "#DF7401"); // couleur intermédiaire
	gradientRadial.addColorStop(1, "blue");    // courleur d'arrivée

	oContexte.fillStyle = gradientRadial; // pour le remplissage de la forme
	oContexte.fillRect(0, 0, 350, 150); // création d'une forme rectangle


	var gradientLineaire = oContexte.createLinearGradient(50, 150, 90, 250);
	gradientLineaire.addColorStop(0,"#DF01D7");    // Départ
	gradientLineaire.addColorStop(0.6,"#FF0040"); // Intermédiaire
	gradientLineaire.addColorStop(0.9,"#CCCCCC"); // Intermédiaire
	gradientLineaire.addColorStop(1,"#40FF00");   // Arrivée
	
	oContexte.fillStyle = gradientLineaire; // pour le remplissage de la forme
	oContexte.fillRect(400, 0, 350, 150);// création d'une forme rectangle
 
}


